<?php


namespace Schaffen\Login\Login\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Login\Login\Models\User;

class UserRepository extends Repository
{
    protected $model = User::class;
    protected $searchableFields = [
        ["field" => "usu_senha"],
        ["field" => "usu_nome"],
        ["field" => "usu_status"],
    ];


    public function findByUserAndPassword(string $user, string $password)
    {
        return $this->first(["usu_senha" => $password, "usu_nome" => $user, "usu_status" => 1]);
    }
}
